%global srcname plus_plus_service

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

Name:		plus-plus-service
Version:	0.1
Release:	1.git.7.83e6814%{?dist}
Summary:	REST service to send karma to Fedora users

License:	AGPLv3+
URL:		https://pagure.io/plus-plus-service
Source0: plus-plus-service-git-7.83e6814.tar.gz

BuildArch:      noarch

BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
# Unit testing
BuildRequires:  python%{python3_pkgversion}-alembic
BuildRequires:  python%{python3_pkgversion}-fedora
BuildRequires:  python%{python3_pkgversion}-flask
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-fedmsg-core
BuildRequires:  python%{python3_pkgversion}-sqlalchemy

Requires:       python%{python3_pkgversion}-alembic
Requires:       python%{python3_pkgversion}-fedora
Requires:       python%{python3_pkgversion}-flask
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-fedmsg-core
Requires:       python%{python3_pkgversion}-sqlalchemy


%description
Plus Plus Service is a REST-based service to increment or decrement karma for
Fedora users.


%prep
%setup -q -n plus-plus-service-git-7.83e6814


%build
%{__python3} setup.py build


%install
rm -rf %{buildroot}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/%{name}

# Install the example config file
install -m 640 deploy/settings.py %{buildroot}%{_sysconfdir}/%{name}

# Install WSGI and Apache files
install -m 644 deploy/wsgi.py %{buildroot}%{_sysconfdir}/%{name}/
install -m 644 deploy/apache.conf %{buildroot}%{_sysconfdir}/%{name}/

# Install the fedmsg config file
mkdir -p %{buildroot}%{_sysconfdir}/fedmsg.d
install -m 644 fedmsg.d/plus_plus_service.py %{buildroot}%{_sysconfdir}/fedmsg.d/

# Prepare a directory for the SQLite database
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}


%check
%{__python3} -m nose %{srcname}


%files
%doc README.rst AUTHORS.txt COPYING.txt
%config(noreplace) %{_sysconfdir}/fedmsg.d/*.py
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/apache.conf
%config(noreplace) %{_sysconfdir}/%{name}/wsgi.py
%config(noreplace) %attr(640,root,apache) %{_sysconfdir}/%{name}/settings.py
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info
%{_bindir}/%{name}
%dir %attr(750,apache,apache) %{_localstatedir}/lib/%{name}/


%changelog
* Mon Jul 25 2016 Aurélien Bompard 0.1-1
- new package built with tito

* Thu Jul 21 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.1-1
- initial package
